Subject: Re: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

From: Juanma Barranquero <[email-masked]>
Date: Sat, 29 Jun 2013 22:29:13 +0200

On Sat, Jun 29, 2013 at 5:24 AM, Stefan Monnier
<[email-masked]> wrote:

> The old advice.el could be reimplemented to use nadvice more directly
> (e.g. so that each defadvice turns into a single advice-add, rather
> than bundling all defadvice into a single advice-add), which would solve
> some of your complaints, but it's a lot of work and would probably break
> more backward compatibility because it'd be difficult to preserve some
> details of advice.el's semantics.

FWIW, I like a lot the new advice system and I understand why does not
make sense to spend much time with the old advices (I'm quite happy to
see the end of ad-do-it and other clumsy macros).

But I also agree with Drew that the current doctrings for adviced
functions are horrible and a big step backwards for users.

    J